Package be.ehealth.technicalconnector.handler

# Class MessageLevelRetryHandler

java.lang.Object
be.ehealth.technicalconnector.handler.AbstractSOAPHandler
be.ehealth.technicalconnector.handler.MessageLevelRetryHandler

All Implemented Interfaces:
  `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`, `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

public class MessageLevelRetryHandler extends AbstractSOAPHandler

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROP_MESSAGELEVEL_RETRY_ACTIVATED`
  `static final String`
  `PROP_MESSAGELEVEL_RETRY_XSLT_LOCATION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageLevelRetryHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `handleInbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the inbound flow.

  ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

  `close, dumpMessage, getHeaders, handleFault, handleMessage, handleOutbound`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_MESSAGELEVEL_RETRY_ACTIVATED

    public static final String PROP_MESSAGELEVEL_RETRY_ACTIVATED
    See Also:
      - Constant Field Values

  - ### PROP_MESSAGELEVEL_RETRY_XSLT_LOCATION

    public static final String PROP_MESSAGELEVEL_RETRY_XSLT_LOCATION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageLevelRetryHandler

    public MessageLevelRetryHandler()

- ## Method Details

  - ### handleInbound

    public boolean handleInbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Description copied from class: `AbstractSOAPHandler`
    Method that is called in the inbound flow.
    Overrides:
      `handleInbound` in class `AbstractSOAPHandler`